- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
G::Executable Class Reference

A structure representing an external program, holding a path and a set of arguments. More...

`#include <gexecutable.h>`

## Public Member Functions
| Executable (const std::string &command_line=std::string())
| Constructor taking a complete command-line. More...
Path | exe () const
| Returns the executable. More...
Strings | args () const
| Returns the command-line arguments. More...
std::string | displayString () const
| Returns a printable representation for logging and diagnostics. More...

## Detailed Description

A structure representing an external program, holding a path and a set of arguments.

The constructor takes a complete command-line and splits it up into the executable part and a list of command-line parameters.

See also
  G::Path, G::Args

Definition at line 43 of file gexecutable.h.

## Constructor & Destructor Documentation

G::Executable::Executable | ( | const std::string & | command_line = `std::string()` | ) |
| explicit

Constructor taking a complete command-line.

The command-line is split up on unescaped space characters.

Definition at line 25 of file gexecutable.cpp.

References G::Str::replaceAll(), and G::Str::splitIntoTokens().

## Member Function Documentation

G::Strings G::Executable::args | ( |  | ) | const

Returns the command-line arguments.

Definition at line 67 of file gexecutable.cpp.

std::string G::Executable::displayString | ( |  | ) | const

Returns a printable representation for logging and diagnostics.

Definition at line 72 of file gexecutable.cpp.

References G::Str::join().

G::Path G::Executable::exe | ( |  | ) | const

Returns the executable.

Definition at line 62 of file gexecutable.cpp.

Referenced by GSmtp::FactoryParser::check().

The documentation for this class was generated from the following files:

- gexecutable.h
- gexecutable.cpp
- gexecutable_unix.cpp